﻿using Syncfusion.Windows.Shared;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace TabControl_Remove_Items
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }
    }
 
    public class ViewModel:NotificationObject
    {
        private ObservableCollection<MyMenu> items;

        public ObservableCollection<MyMenu> Items
        {
            get { return items; }
            set { items = value; }
        }
       
        private MyMenu selectedItem;

        public MyMenu SelectedItem
        {
            get { return selectedItem; }
            set { selectedItem = value; }
        }
        private Syncfusion.Windows.Tools.Controls.CloseMode closeMode;//  Syncfusion.Windows.Tools.Controls.CloseMode.Hide;

        public Syncfusion.Windows.Tools.Controls.CloseMode CloseMode
        {
            get { return closeMode; }
            set { closeMode = value;
            RaisePropertyChanged("CloseMode");
            }
        }
        
        public ViewModel()
        {
            items = new ObservableCollection<MyMenu>();
            for (int i = 1; i < 5;i++)
                items.Add(new MyMenu() {Header = "Item " + i });
            selectedItem = items[0];
        }
    }

    public class MyMenu
    {
        private string header;

        public string Header
        {
            get { return header; }
            set { header = value; }
        }
    }

    public class EnumToBooleanConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            if (parameter.ToString() == "0")
            {
                if ((Syncfusion.Windows.Tools.Controls.CloseMode)value == Syncfusion.Windows.Tools.Controls.CloseMode.Hide)
                    return true;
                else
                    return false;
            }
            else
            {
                if ((Syncfusion.Windows.Tools.Controls.CloseMode)value == Syncfusion.Windows.Tools.Controls.CloseMode.Delete)
                    return true;
                else
                    return false;
            }
        }
        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            if (parameter.ToString() == "0")
            {
                if ((bool)value == true)
                    return Syncfusion.Windows.Tools.Controls.CloseMode.Hide;
                else
                    return Syncfusion.Windows.Tools.Controls.CloseMode.Delete;
            }
            else
            {
                if ((bool)value == true)
                    return Syncfusion.Windows.Tools.Controls.CloseMode.Delete;
                else
                    return Syncfusion.Windows.Tools.Controls.CloseMode.Hide;
            }
        }
    }
}
